# Method Pike.__Backend()->_do_call_outs()

Method _do_call_outs

  ``int` _do_call_outs()`

Description

  Do all pending call_outs.

  This function runs all pending call_outs that should have been run if Pike returned to the backend. It should not be used in normal operation.

  As a side-effect, this function sets the value returned by time(1) to the current time.

Returns

  Zero if no call outs were called, nonzero otherwise.

See also

  call_out(), find_call_out(), remove_call_out()